Skip to main content
GET
https://your-rootprint-host
/
api
/
admin
/
activity
/
users
/
{userId}
/
summary
Get user search activity summary
curl --request GET \
  --url https://your-rootprint-host/api/admin/activity/users/{userId}/summary \
  --cookie better-auth.session_token=
{
  "totalSearches": 123,
  "errorCount": 123,
  "p50": 123,
  "p95": 123,
  "p99": 123,
  "displayName": "<string>",
  "email": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

userId
string
required

User ID.

Minimum string length: 1

Query Parameters

window
enum<string>

Activity lookback window. Defaults to 7d.

Available options:
24h,
7d,
30d

Response

User search activity summary.

totalSearches
integer
required
errorCount
integer
required
p50
number | null
required
p95
number | null
required
p99
number | null
required
displayName
string | null
required
email
string | null
required